> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hooks

> List all hooks configured for a lending market

Returns all risk monitors, pre-liquidation checks, and post-liquidation action hooks for the specified market.

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "hooks": [
        {
          "id": "hook_001",
          "marketId": "clx_market_001",
          "hookType": "monitorRisk",
          "name": "External Risk Feed",
          "riskUri": "https://risk.example.com/api/score",
          "checkFrequency": "5m",
          "active": true,
          "lastResult": true,
          "executionCount": 142
        }
      ]
    }
  }
  ```
</ResponseExample>
